Subject: FVWM: Variable sized apps in 1 dimension FvwmButtons

From: Michael Fischer <[email-masked]>
Date: Fri, 28 Feb 2003 20:37:02 -0500

Hi

I searched the past year's worth of archive, which 
at best pointed me to the manpage, and tried
every combination out of the manpage, but no luck.

I say all this as it probably is the next best thing
to an FAQ.

What I want is a 1 column, 4 row FvwmButtons, where
(counting from top to bottom), the sizes are

68x68
68x68
68x252
68x68

I have tried all combinations I could think of 
of specifying the app's -geometry, geometry as 
an option on the Button, Size, etc. 

So far I have gotten at best either a Buttons
with all parts 68x68, or one with all parts 68x252.

Here is a chunk of .fvwm2rc which does the latter

*MailBoxGeometry -1+1
*MailBoxBack black
*MailBoxColumns 1 
*MailBox: (Swallow(UseOld,NoHints,Respawn) "xeyes" \
                `Exec exec xeyes -geometry 68x68`)

*MailBox: (Swallow(UseOld,NoHints,Respawn) "xclock" \
                `Exec exec xclock -bg black -fg turquoise  -geometry 68x68 \
                -hd turquoise -hl turquoise -padding 0 -update 1`)

*MailBox: (Swallow(UseOld,NoHints,Respawn) "gkrellm" \
                `Exec exec gkrellm` Size 68 252)

*MailBox: (Swallow(UseOld,NoHints,Respawn) "kbiff" \
                `Exec exec kbiff -profile Inbox`)

Note that changing the first line to
*MailBoxGeometry 68x456-1+1

Only squishes the 3rd app, making every button 
114 tall.

Clear 1 column (or 1 row) examples, even if they are complicated
are most welcome and appreciated.

Thanks in advance, and for the good work.

Michael
-- 
Michael Fischer				Happiness is a config option.
[email-masked]			Recompile and be happy.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].